Holger's Java API

## com.antelmann.webdav
Class CaldavClient

    java.lang.Object
      com.antelmann.webdav.WebdavClient
          com.antelmann.webdav.CaldavClient

    @ThirdParty(value={"iCal4j (net.fortuna.ical4j)","Apache Commons HttpClient (org.apache.http)"})
    public class CaldavClient

extends WebdavClient

Since:
  25.10.2016, 16:16:41
Author:
  holger

Field Summary
`static String` `PRODID`

Constructor Summary
`CaldavClient(URL url, String user, String password)`

Method Summary
`static net.fortuna.ical4j.data.CalendarBuilder` `createCalendarBuilder()`
`static void` `export(net.fortuna.ical4j.model.component.CalendarComponent cc, File file, String charset)`
`static void` `export(net.fortuna.ical4j.model.Calendar cal, File file, String charset)`
`net.fortuna.ical4j.model.Calendar` `getCalendarIcs()`
`String` `getCalendarIcsContent()`
`XmlHelper` `getCalendarXml()`
`static net.fortuna.ical4j.model.Calendar` `parseCalendarIcs(Reader reader)`

Methods inherited from class com.antelmann.webdav.WebdavClient
`getCharset, getPassword, getUrl, getUrlContent, getUsername, getXmlResponse, initHttpConsoleLogging, propfind, report, setCharset, setPassword, setUrl, setUsername`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PRODID

    public static final String PRODID

See Also:
  Constant Field Values

Constructor Detail

### CaldavClient

    public CaldavClient(URL url,
                        String user,
                        String password)
                 throws IOException

Throws:
  `IOException`

Method Detail

### getCalendarXml

    public XmlHelper getCalendarXml()
                             throws IOException,
                                    SAXException,
                                    ParserConfigurationException

  Throws:
    `IOException`
    `SAXException`
    `ParserConfigurationException`

### getCalendarIcs

    public net.fortuna.ical4j.model.Calendar getCalendarIcs()
                                                     throws IOException,
                                                            net.fortuna.ical4j.data.ParserException

  Throws:
    `IOException`
    `net.fortuna.ical4j.data.ParserException`

### getCalendarIcsContent

    public String getCalendarIcsContent()
                                 throws IOException

  Throws:
    `IOException`

### parseCalendarIcs

    public static net.fortuna.ical4j.model.Calendar parseCalendarIcs(Reader reader)
                                                              throws IOException,
                                                                     net.fortuna.ical4j.data.ParserException

  Throws:
    `IOException`
    `net.fortuna.ical4j.data.ParserException`

### createCalendarBuilder

    public static net.fortuna.ical4j.data.CalendarBuilder createCalendarBuilder()

### export

    public static void export(net.fortuna.ical4j.model.component.CalendarComponent cc,
                              File file,
                              String charset)
                       throws IOException

  Throws:
    `IOException`

### export

    public static void export(net.fortuna.ical4j.model.Calendar cal,
                              File file,
                              String charset)
                       throws IOException

  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads